from sqlalchemy import Column
from sqlalchemy import Integer, String, UniqueConstraint, Index
from . import db


class UserInfo(db.Model):
    __tablename__ = "userinfo"

    id = Column(Integer, primary_key=True)
    name = Column(String(16), index=True, unique=True, nullable=False)

    __table_args__ = (
        # UniqueConstraint("id", "name", name="unic_id_name"),  # 联合唯一索引
        # Index("idx_age_birthday", "age", "birthday"),  # 联合索引
    )
