import redis


class BaseConfig(object):
    # flask-session配置
    # SESSION_TYPE = "redis"
    # SESSION_REDIS = redis.Redis(host="127.0.0.1",port=6379)

    # 使用Flask-SQAlchemy需要做以下配置
    SQLALCHEMY_DATABASE_URI = "mysql+pymysql://root:""@127.0.0.1:3306/test_db?charset=utf8"
    SQLALCHEMY_POOL_SIZE = 10     # 连接池大小
    SQLALCHEMY_MAX_OVERFLOW = 5   # 在连接池达到最大值后可以创建的连接数；当这些额外的连接回收到连接池后将会被断开和抛弃。
    SQLALCHEMY_POOL_TIMEOUT = 20  # 池中没有连接最多等待的时间，否则报错
    SQLALCHEMY_TRACK_MODIFICATIONS = False


class ProductConfig(BaseConfig):
    pass
