from pro_flask import db, create_app

app = create_app()
app_ctx = app.app_context()  # app_ctx = app/g
with app_ctx:                # __enter__，通过LocalStack放入Local中
    db.create_all()          # 调用LocalStack放入Local中获取app，再去app中获取配置

"""
右键执行即可在数据库中创建表；
但是不用这种操作，可以使用flask-migrate组件实现数据库迁移；
具体使用方式，请看manage.py
"""
