from pro_flask import db
from pro_flask import create_app
from flask_script import Manager
from flask_migrate import Migrate, MigrateCommand

app = create_app()
manager = Manager(app)
Migrate(app, db)
manager.add_command("db", MigrateCommand)  # 新增一个叫做"db"的命令
"""
数据库迁移命令：
    python manage.py db init     # 只执行第一次就行了，表结构修改后，执行下面两个命令就可以了
    python manage.py db migrate  # 相当于Django中的makemigrations
    python manage.py db upgrade  # 相当于Django中的migrate
"""

# @manager.command
# def custom(arg):
#     """
#     按照位置传参自定义命令
#     python manage.py custom 123
#     :param arg:
#     :return:
#     """
#     print(arg)  # 123
#
# @manager.option("-n", "--name", dest="name")
# @manager.option("-u", "--url", dest="url")
# def cmd(name, url):
#     """
#     按照关键字传参自定义命令
#     python manage.py cmd -n pd -u https://www.baidu.com
#     :param name:
#     :param url:
#     :return:
#     """
#     print(name, url)

if __name__ == "__main__":
    # app.run()  # 有了manager就可以写成下面这种格式了
    manager.run()

    # 启动命令（在项目根目录下执行命令）
    """
    python manage.py runserver
    python manage.py runserver -h 127.0.0.1 -p 8080
    """